Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::RaySceneQueryResultEntry Struct Reference

This struct allows a single comparison of result data no matter what the type. More...

`#include <OgreSceneQuery.h>`

List of all members.

## Public Methods

bool | operator< (const RaySceneQueryResultEntry &rhs) const
| Comparison operator for sorting.

## Public Attributes

Real | distance
| Distance along the ray.
MovableObject * | movable
| The movable, or NULL if this is not a movable result.
SceneQuery::WorldFragment * | worldFragment
| The world fragment, or NULL if this is not a fragment result.

## Detailed Description

This struct allows a single comparison of result data no matter what the type.

Definition at line 333 of file OgreSceneQuery.h.

## Member Function Documentation

bool Ogre::RaySceneQueryResultEntry::operator< | ( | const RaySceneQueryResultEntry & | rhs | ) | const

| Comparison operator for sorting. Definition at line 342 of file OgreSceneQuery.h. References distance.

## Member Data Documentation

Real Ogre::RaySceneQueryResultEntry::distance

| Distance along the ray. Definition at line 336 of file OgreSceneQuery.h. Referenced by operator<(), and Ogre::RaySceneQuery::queryResult().

MovableObject* Ogre::RaySceneQueryResultEntry::movable

| The movable, or NULL if this is not a movable result. Definition at line 338 of file OgreSceneQuery.h. Referenced by Ogre::RaySceneQuery::queryResult().

SceneQuery::WorldFragment* Ogre::RaySceneQueryResultEntry::worldFragment

| The world fragment, or NULL if this is not a fragment result. Definition at line 340 of file OgreSceneQuery.h. Referenced by Ogre::RaySceneQuery::queryResult().

The documentation for this struct was generated from the following file:

- OgreSceneQuery.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:41 2004